<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [getPurchasedServerUpgradeCost](./bitburner.ns.getpurchasedserverupgradecost.md)

## NS.getPurchasedServerUpgradeCost() method

Get cost of upgrading a purchased server to the given ram.

**Signature:**

```typescript
getPurchasedServerUpgradeCost(host: string, ram: number): number;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  host | string | Hostname/IP of the server to upgrade. |
|  ram | number | Amount of RAM of the purchased server, in GB. Must be a power of 2 (2, 4, 8, 16, etc.). Maximum value of 1048576 (2^20). |

**Returns:**

number

The price to upgrade or -1 if either input is not valid, i.e. host is not the name of a purchased server or ram is not a valid amount.

## Remarks

RAM cost: 0.1 GB

